Subject: Re: bmake maybe should use --with-defshell
To: None <>
From: Jeremy C. Reed <>
List: tech-pkg
Date: 12/27/2003 19:39:36
On Sat, 27 Dec 2003, Lubomir Sedlacik wrote:

> > Also I got rid of that NetBSD platform restriction. bmake builds and
> > works fine (other than manpage) for Linux and BSD/OS.
> the restriction is there because mk-files needs fixing for
> bootstrap-pkgsrc platforms.  otherwise you'll overwrite share/mk/* files
> with non-working versions.  until this is resolved the restriction
> should remain as is.

Yes. That has hit me. And made my pkgsrc stop working. I had mentioned
this before (but maybe to maintainer only).

Then that restriction should be in mk-files (until that is fixed).
(Because it seems like some updates of bmake should be fine and it looks
like the mk-files depends has a different version/date than bmake.)

   Jeremy C. Reed